org.apache.olingo.odata2.jpa.processor.api.jpql

## Class JPQLStatement.DELIMITER

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.jpql.JPQLStatement.DELIMITER

- Enclosing class:
    JPQLStatement

      public static final class JPQLStatement.DELIMITER
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `COLON`
    `static char` | `COMMA`
    `static char` | `HYPHEN`
    `static char` | `LEFT_BRACE`
    `static char` | `LONG`
    `static char` | `PARENTHESIS_LEFT`
    `static char` | `PARENTHESIS_RIGHT`
    `static char` | `PERIOD`
    `static char` | `RIGHT_BRACE`
    `static char` | `SPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DELIMITER()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPACE

          public static final char SPACE

      See Also:
        Constant Field Values

    - #### COMMA

          public static final char COMMA

      See Also:
        Constant Field Values

    - #### PERIOD

          public static final char PERIOD

      See Also:
        Constant Field Values

    - #### PARENTHESIS_LEFT

          public static final char PARENTHESIS_LEFT

      See Also:
        Constant Field Values

    - #### PARENTHESIS_RIGHT

          public static final char PARENTHESIS_RIGHT

      See Also:
        Constant Field Values

    - #### COLON

          public static final char COLON

      See Also:
        Constant Field Values

    - #### HYPHEN

          public static final char HYPHEN

      See Also:
        Constant Field Values

    - #### LEFT_BRACE

          public static final char LEFT_BRACE

      See Also:
        Constant Field Values

    - #### RIGHT_BRACE

          public static final char RIGHT_BRACE

      See Also:
        Constant Field Values

    - #### LONG

          public static final char LONG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DELIMITER

          public DELIMITER()

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.